FGJS(1)

NAME
fgjs - FlightGear joystick utility

SYNOPSIS
fgjs [--help] [--fg-root=rootdir]

DESCRIPTION
fgjs is a joystick utility for the FlightGear flight simulator which allows you to generate a configuration file for your joystick interactively. To use it, launch the program with your joystick(s) connected. The utility will first prompt you to move each joystick around in the dead band, that is, the area where it is centered and should not generate any input. Afterwards, you will be asked to move the control/push the button you would like to use for each function. The configuration will be saved in the current working directory in several files named jsI.xml, where I is the progressive number assigned to each detected joystick. You will need to move them to ~/.fgfs/Input/Joysticks for them to be used by FlightGear.

OPTIONS

--help
    Display usage information and exit.

--fg-root=rootdir
    Set the FlightGear data root directory ($FG_ROOT) to rootdir.

ENVIRONMENT

FG_ROOT
    If FG_ROOT is set and --fg-root is not set, it specifies the root data directory to use.

FILES

~/.fgfsrc.hostname, ~/.fgfsrc
    Configuration files containing command-line options for fgfs(1). The --fg-root command-line option is searched there if it is not passed as a command-line argument to fgjs.

SEE ALSO
fgfs(1), js_demo(1), the FlightGear wiki "Joystick" page (http://wiki.flightgear.org/Joystick)